Subject: bug#48024: glib-2.62.6 build fails i686

From: Bengt Richter <[email-masked]>
Date: Thu, 6 May 2021 11:06:16 +0200

Hi,

On +2021-05-06 09:45:00 +0300, Efraim Flashner wrote:
> On Wed, May 05, 2021 at 05:15:14PM -0400, Bone Baboon wrote:
> > Efraim Flashner writes:
> > > I looked closer at the bug report and I see they are timing out at 60
> > > and 180 for Bone Baboon as they currently are.
> > >
> > > Bone Baboon: Can you build the attached test-glib.scm file and send back
> > > the build log? I want to make sure I change the timeout to something
> > > long enough.
> > >
> > > You can build it with 'guix build -f test-glib.scm'
> > 
> > I ran `guix build --file=test-glib.scm` and I was successful.
> 
> That was the plan. I bumped the test timeouts to high enough numbers so
> that I could see how long it took.
> 
> > I was having trouble finding the build log.
> > 
> > I have instead attached the output of the build command.
> 
> It's perfect.
> 
> It looks like the two slowest are
>  83/259 glib:glib / 1bit-mutex                  OK      85.13 s
>  84/259 glib:glib+slow / 1bit-emufutex          OK      89.22 s
> 
> I was thinking of just tripling the duration but test_timeout_slow would
> likely have been missed since it was moved from 120 to 180, and
> extracting the number so I could multiply it by 3 isn't really the most
> readable and could leave the timeout near the edge. I've gone ahead and
> multiplied it by 10, if a test would hang forever it's still killed and if
> there's high load on a slow machine it should still pass.
>

Couldn't autoconf emit some config info that test scripts could use
to run with appropriate timeouts and memory sizes etc?

Maybe with access similar to pkg-config?

Seems like someone must have thought of scratching that itch?

> 
> 
> -- 
> Efraim Flashner   <[email-masked]>   אפרים פלשנר
> GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received unencrypted

-- 
Regards,
Bengt Richter